Skip to content
iTick
  1. Docs
  2. REST API
  3. Stocks
  4. Real-Time Kline

Real-Time Kline

Complete K-line data for global stocks, covering thousands of stocks in global markets including A-shares, US stocks, and Hong Kong stocks. Include standard OHLC fields such as opening price, highest price, lowest price, closing price, and trading volume, support multi-time period queries from minute lines to monthly lines, and provide adjustment factors to ensure data accuracy.

GET/stock/kline

Request Parameters

regionenumRequired

Market code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.

exchangestring

Exchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.

codestringRequired

Product code

kTypeenumRequired

Interval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month

etstring

When the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.

limitstringRequired

Number of records to query

Response Parameters

codenumber

Response code

msgstring

Response description

dataarray(object)▶Response result
tunumber

Transaction amount

cnumber

Closing price of the Kline

tnumber

Timestamp

vnumber

Transaction volume

hnumber

Highest price of the Kline

lnumber

Lowest price of the Kline

onumber

Opening price of the Kline

Code Examples

import requests

url = "https://api.itick.org/stock/kline?region=HK&code=700&kType=2&limit=10"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/stock/kline?region=HK&code=700&kType=2&limit=10

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": [
    {
      "tu": 56119888070.5,
      "c": 534.5,
      "t": 1741239000000,  // 2025-03-06 05:30:00 UTC
      "v": 104799385,
      "h": 536,
      "l": 534.5,
      "o": 535
    }
  ]
}